\begin{tikzpicture}
    \tikzset{%
        ver/.style={draw, rounded rectangle, fill=none, inner sep=1pt, outer sep=1pt, minimum size=0.6cm, align=center, semithick},
        arr/.style={draw, very thick, ->, >={Latex}},
        missing/.style={densely dashed, color=gray},
        elabel/.style={font=\scriptsize},
        wrote/.style={elabel, "wrote"},
        hasGenre/.style={elabel, "has Genre"}
    }

    \graph[layered layout, nodes={ver}, edges={arr}, node sep=2cm, node distance=2cm, level distance=1.5cm] {
        A1[fill=oireddishpurple, as={King}];
        A2[as={Le Guin}];
        B11[fill=oiskyblue, as={The\\Talisman}];
        B12[fill=oiskyblue, as={The Dark\\Tower}];
        B13[fill=oiskyblue, as={It}];
        B21[as={Planet\\of Exile}];
        G4[fill=oiorange, as={Horror}];
        G1[fill=oiorange, as={Fantasy}];
        G2[fill=oiorange, as={SciFi}];

        A1 ->[arr, wrote] B11;
        A1 ->[arr, wrote] B12;
        A1 ->[missing, "wrote"'{elabel, above left}] B13;

        A2 ->[arr, wrote] B21;

        B11 ->[arr, "hasGenre"'{elabel, left}] G1;
        B12 ->[arr, "hasGenre"'{elabel, above left, xshift=7pt}] G1;
        B12 ->[missing, "hasGenre"'{elabel, left}] G2;
        B13 ->[arr, "hasGenre"'{elabel, left}] G4;

        B21 ->[arr, hasGenre] G2;
    };
\end{tikzpicture}
